Passer au contenu
AchaduDevelopers
API opérationnelleAller sur le site Web
Tableau de bord
Developers/API/journey_update
Voyages

Mettre à jour le parcours

Met à jour le graphique et les règles de parcours.

PATCH/journeys/{id}journeys:write

Demande

idstring · pathIdentificateur de ressource.obligatoire
namestring · bodyNom du voyage.facultatif
descriptionstring · bodyObjectif du voyage.facultatif
triggerstring · bodyDéclencheur initial.facultatif
blocksarray · bodyBlocs de flux.facultatif
channelsarray · bodyChaînes autorisées.facultatif
segment_idstring · bodySegment éligible.facultatif
activeboolean · bodyActivez le voyage.facultatif

Exemple

curl
curl -X PATCH 'https://achadu.com/api/v1/journeys/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "description": "string",
  "trigger": "string"
}'

Réponse

200Opération terminée
4xxErreur avec le code, le message et request_id